#!/usr/bin/perl

print "\n\n";
print "Re-Setting the perlseti-data to zero, do you want to continue? (y/n) "; 
$choice = <STDIN>;
chomp($choice);

$choice =~ tr/A-Z/a-z/;

if($choice eq "y" || $choice eq "yes"){
  print "The perlseti-data will now be zeroed!\n";  
  open(PERLSETI_DATA_WRITE, ">perlseti_data")
   				|| die "Can't open the data file: $!";
     print PERLSETI_DATA_WRITE "bestspike_power=0\n",
                               "bestspike_score=0\n",
                               "bestspike_ra=0\n",
                               "bestspike_dec=0\n",
                               "bestgaussian_power=0\n",
                               "bestgaussian_score=0\n",
                               "bestgaussian_ra=0\n",
                               "bestgaussian_dec=0\n";
   close(PERLSETI_DATA_WRITE) || die "Can't close the data file: $!";
  print "Done!\n\n";
  } 

else{
   print "Exiting without changing the perlseti-data file!\n\n";
   exit();
  }   




